---
title: ruby-position
slug: Web/CSS/ruby-position
tags:
  - CSS
  - CSS Property
  - CSS Ruby
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p>The <code><strong>ruby-position</strong></code> CSS property defines the position of a ruby element relatives to its base element. It can be position over the element (<code>over</code>), under it (<code>under</code>), or between the characters, on their right side (<code>inter-character</code>).</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
ruby-position: over;
ruby-position: under;
ruby-position: inter-character;

/* Global values */
ruby-position: inherit;
ruby-position: initial;
ruby-position: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>over</code></dt>
 <dd><img alt="Over example" src="https://mdn.mozillademos.org/files/10251/Screen%20Shot%202015-03-04%20at%2013.02.20.png" style="height: 31px; width: 77px;">Is a keyword indicating that the ruby has to be placed over the main text for horizontal scripts and right to it for vertical scripts.</dd>
 <dt><code>under</code></dt>
 <dd><img alt="Under example" src="https://mdn.mozillademos.org/files/10249/Screen%20Shot%202015-03-04%20at%2013.02.07.png" style="height: 34px; width: 78px;">Is a keyword indicating that the ruby has to be placed under the main text for horizontal scripts and left to it for vertical scripts.</dd>
 <dt><code>inter-character</code></dt>
 <dd>Is a keyword indicating that the ruby has to be placed between the different characters.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Ruby_positioned_over_the_text">Ruby positioned over the text</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;超電磁砲&lt;/rb&gt;
  &lt;rp&gt;（&lt;/rp&gt;&lt;rt&gt;レールガン&lt;/rt&gt;&lt;rp&gt;）&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">ruby {
    ruby-position:over;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Ruby_positioned_over_the_text", 100, 40)}}</p>

<h3 id="Ruby_positioned_under_the_text">Ruby positioned under the text</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;超電磁砲&lt;/rb&gt;
  &lt;rp&gt;（&lt;/rp&gt;&lt;rt&gt;レールガン&lt;/rt&gt;&lt;rp&gt;）&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">ruby {
    ruby-position:under;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Ruby_positioned_under_the_text", 100, 40)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Ruby', '#rubypos', 'ruby-position') }}</td>
   <td>{{ Spec2('CSS3 Ruby') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.ruby-position")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTML Ruby elements: {{HTMLElement("ruby")}}, {{HTMLElement("rt")}}, {{HTMLElement("rp")}}, and {{HTMLElement("rtc")}}.</li>
 <li>CSS Ruby properties: {{cssxref("ruby-align")}}, {{cssxref("ruby-merge")}}.</li>
</ul>
